Bug 27834 - Proxyied FTP directories without / generate wrong links in listing
Summary: Proxyied FTP directories without / generate wrong links in listing
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.0.48
Hardware: PC Linux
: P3 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2004-03-22 10:45 UTC by Pascal Terjan
Modified: 2008-02-26 12:40 UTC (History)
0 users



Attachments
A patch to add / using Location: when on a directory (1.33 KB, patch)
2004-03-22 10:49 UTC, Pascal Terjan
Details | Diff
Patch to add / (before ; if there is one) (2.35 KB, patch)
2004-12-27 21:28 UTC, Pascal Terjan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Terjan 2004-03-22 10:45:52 UTC
/foo/bar will list the contents with links that will be relative to /foo
Comment 1 Pascal Terjan 2004-03-22 10:49:44 UTC
Created attachment 10894 [details]
A patch to add / using Location: when on a directory
Comment 2 Pascal Terjan 2004-03-22 10:50:24 UTC
This patch should be improved by preserving ; and following options and maybe
other stuff
Comment 3 Pascal Terjan 2004-12-27 21:28:26 UTC
Created attachment 13844 [details]
Patch to add / (before ; if there is one)
Comment 4 Pascal Terjan 2007-04-23 05:23:56 UTC
This 3 years old bug is still there in 2.2.4.
Is there any hope than someone have a look at it ?
Comment 5 Ruediger Pluem 2008-02-26 12:40:02 UTC
Backported to 2.2.x as r631360 (http://svn.apache.org/viewvc?rev=631360&view=rev).